<!DOCTYPE html>
<html>

<head>
   <!-- TABLES CSS CODE -->
   <?php include "comman/code_css_form.php"; ?>
   <!-- </copy> -->
</head>

<body class="hold-transition skin-blue  sidebar-mini">

   <!-- **********************MODALS***************** -->
   <?php include "modals/modal_brand.php"; ?>
   <?php include "modals/modal_category.php"; ?>
   <?php include "modals/modal_unit.php"; ?>
   <?php include "modals/modal_tax.php"; ?>
   <!-- **********************MODALS END***************** -->

   </div>
   <div class="wrapper">
      <?php include "sidebar.php"; ?>
      <?php
      if (!isset($item_name)) {
         $custom_barcode = '';
         $item_name = $sku = $hsn = $opening_stock = $item_code = $brand_id = $category_id = $gst_percentage = $tax_type =
            $sales_price = $purchase_price = $profit_margin = $unit_id = $price = $alert_qty = $lot_number = "";
         $stock = 0;
         $expire_date = '';
         $description = '';
         $final_price = '';
         $tax_id = '';
         $discount = '';
         $discount_type = 'Percentage';
      }
      $new_opening_stock = '';
      $adjustment_note = '';
      ?>
      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
         <!-- Content Header (Page header) -->
         <section class="content-header">
            <h1>
               <?= $page_title; ?>
               <small>Add/Update Items</small>
            </h1>
            <ol class="breadcrumb">
               <li><a href="<?php echo $base_url; ?>dashboard"><i class="fa fa-dashboard"></i>Home</a></li>
               <li><a href="<?php echo $base_url; ?>items"><?= $this->lang->line('items_list'); ?></a></li>
               <li class="active"><?= $page_title; ?></li>
            </ol>
         </section>
         <!-- Main content -->
         <section class="content">
            <div class="row">
               <!-- ********** ALERT MESSAGE START******* -->
               <?php include "comman/code_flashdata.php"; ?>
               <!-- ********** ALERT MESSAGE END******* -->
               <!-- right column -->
               <div class="col-md-12">
                  <!-- Horizontal Form -->
                  <div class="box box-info ">

                     <?= form_open('#', array('class' => 'form', 'id' => 'items-form', 'enctype' => 'multipart/form-data', 'method' => 'POST')); ?>
                     <input type="hidden" id="base_url" value="<?php echo $base_url;; ?>">
                     <div class="box-body">
                        <div class="row">
                           <div class="form-group col-md-4">
                              <label for="item_name"><?= $this->lang->line('item_name'); ?><span class="text-danger">*</span></label>
                              <input type="text" class="form-control" id="item_name" name="item_name" placeholder="" value="<?php print $item_name; ?>">
                              <span id="item_name_msg" style="display:none" class="text-danger"></span>
                           </div>
                           <div class="form-group col-md-4">
                              <label for="brand_id">Brand</label>
                              <div class="input-group">
                                 <select class="form-control select2" id="brand_id" name="brand_id" style="width: 100%;">
                                    <?php
                                    $query1 = "select * from db_brands where status=1";
                                    $q1 = $this->db->query($query1);
                                    if ($q1->num_rows($q1) > 0) {
                                       echo '<option value="">-Select-</option>';
                                       foreach ($q1->result() as $res1) {
                                          $selected = ($brand_id == $res1->id) ? 'selected' : '';
                                          echo "<option $selected value='" . $res1->id . "'>" . $res1->brand_name . "</option>";
                                       }
                                    } else {
                                    ?>
                                       <option value="">No Records Found</option>
                                    <?php
                                    }
                                    ?>
                                 </select>
                                 <span class="input-group-addon pointer" data-toggle="modal" data-target="#brand_modal" title="Add Customer"><i class="fa fa-plus-square-o text-primary fa-lg"></i></span>
                              </div>
                              <span id="brand_id_msg" style="display:none" class="text-danger"></span>
                           </div>
                           <div class="form-group col-md-4">
                              <label for="category_id">Category <span class="text-danger">*</span></label>
                              <div class="input-group">
                                 <select class="form-control select2" id="category_id" name="category_id" style="width: 100%;" value="<?php print $category_id; ?>">
                                    <?php
                                    $query1 = "select * from db_category where status=1";
                                    $q1 = $this->db->query($query1);
                                    if ($q1->num_rows($q1) > 0) {
                                       echo '<option value="">-Select-</option>';
                                       foreach ($q1->result() as $res1) {
                                          $selected = ($category_id == $res1->id) ? 'selected' : '';
                                          echo "<option $selected value='" . $res1->id . "'>" . $res1->category_name . "</option>";
                                       }
                                    } else {
                                    ?>
                                       <option value="">No Records Found</option>
                                    <?php
                                    }
                                    ?>
                                 </select>
                                 <span class="input-group-addon pointer" data-toggle="modal" data-target="#category_modal" title="Add Category"><i class="fa fa-plus-square-o text-primary fa-lg"></i></span>
                              </div>
                              <span id="category_id_msg" style="display:none" class="text-danger"></span>
                           </div>
                           <div class="form-group col-md-4">
                              <label for="unit_id" class="control-label"><?= $this->lang->line('unit'); ?><span class="text-danger">*</span></label>
                              <div class="input-group">
                                 <select class="form-control select2" id="unit_id" name="unit_id" style="width: 100%;">
                                    <?php
                                    $query1 = "select * from db_units where status=1";
                                    $q1 = $this->db->query($query1);
                                    if ($q1->num_rows($q1) > 0) {
                                       echo '<option value="">-Select-</option>';
                                       foreach ($q1->result() as $res1) {
                                          $selected = ($res1->id == $unit_id) ? 'selected' : '';
                                          echo "<option $selected value='" . $res1->id . "'>" . $res1->unit_name . "</option>";
                                       }
                                    } else {
                                    ?>
                                       <option value="">No Records Found</option>
                                    <?php
                                    }
                                    ?>
                                 </select>
                                 <span class="input-group-addon pointer" data-toggle="modal" data-target="#unit_modal" title="Add Unit"><i class="fa fa-plus-square-o text-primary fa-lg"></i></span>
                              </div>
                              <span id="unit_id_msg" style="display:none" class="text-danger"></span>
                           </div>
                           <div class="form-group col-md-4">
                              <label for="warehouse_id"><?= $this->lang->line('warehouse'); ?><span class="text-danger">*</span></label>
                              <select class="form-control select2" id="warehouse_id" name="warehouse_id" style="width:100% !important">
                                 <?php
                                 $query1 = "select * from db_warehouse where status=1";
                                 $q1 = $this->db->query($query1);
                                 if ($q1->num_rows($q1) > 0) {
                                    echo '<option value="">-Select-</option>';
                                    foreach ($q1->result() as $res1) {
                                       $selected = ($warehouse_id == $res1->id) ? 'selected' : '';
                                       echo "<option $selected  value='" . $res1->id . "'>" . $res1->warehouse_name . "</option>";
                                    }
                                 } else {
                                 ?>
                                    <option value="">No Records Found</option>
                                 <?php
                                 }
                                 ?>
                              </select>
                              <span id="warehouse_id_msg" style="display:none" class="text-danger"></span>

                           </div>
                           <!-- <div class="form-group col-md-4">
                              <label for="sku">SKU</label>
                              <input type="text" class="form-control" id="sku" name="sku" placeholder="" value="<?php print $sku; ?>">
                              <span id="sku_msg" style="display:none" class="text-danger"></span>
                           </div> -->
                           <div class="form-group col-md-4">
                              <label for="hsn">Batch Number</label>
                              <input type="text" class="form-control" id="hsn" name="hsn" placeholder="" value="<?php print $hsn; ?>">
                              <span id="hsn_msg" style="display:none" class="text-danger"></span>
                           </div>
                           <div class="form-group col-md-4">
                              <label for="alert_qty"><?= $this->lang->line('minimum_qty'); ?></label>
                              <input type="number" class="form-control no_special_char" id="alert_qty" name="alert_qty" placeholder="" min="0" value="<?php print $alert_qty; ?>">
                              <span id="alert_qty_msg" style="display:none" class="text-danger"></span>
                           </div>
                           <!-- <div class="form-group col-md-4">
                              <label for="lot_number"><?= $this->lang->line('lot_number'); ?></label>
                              <input type="text" class="form-control no_special_char" id="lot_number" name="lot_number" placeholder="" value="<?php print $lot_number; ?>">
                              <span id="lot_number_msg" style="display:none" class="text-danger"></span>
                           </div> -->
                           <div class="form-group col-md-4">
                              <label for="expire_date"><?= $this->lang->line('expire_date'); ?></label>
                              <div class="input-group date">
                                 <div class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                 </div>
                                 <input type="text" class="form-control pull-right datepicker" id="expire_date" name="expire_date" value="<?= $expire_date; ?>">
                              </div>
                              <span id="expire_date_msg" style="display:none" class="text-danger"></span>
                           </div>
                           <div class="form-group col-md-4">
                              <label for="custom_barcode"><?= $this->lang->line('barcode'); ?></label>
                              <input type="text" class="form-control" id="custom_barcode" name="custom_barcode" placeholder="" value="<?php print $custom_barcode; ?>">
                              <span id="custom_barcode_msg" style="display:none" class="text-danger"></span>
                           </div>
                           <div class="form-group col-md-4">
                              <label for="custom_barcode"><?= $this->lang->line('description'); ?></label>
                              <textarea type="text" class="form-control" id="description" name="description" placeholder=""><?php print $description; ?></textarea>
                              <span id="description_msg" style="display:none" class="text-danger"></span>
                           </div>
                           <div class="form-group col-md-4">
                              <label for="item_image"><?= $this->lang->line('select_image'); ?></label>
                              <input type="file" name="item_image" id="item_image">
                              <span id="item_image_msg" style="display:block;" class="text-danger">Max Width/Height: 1000px * 1000px & Size: 1MB </span>
                           </div>
                        </div>
                        <hr>
                        <div class="row">
                           <div class="form-group col-md-4">
                              <label for="price"><?= $this->lang->line('price'); ?><span class="text-danger">*</span></label>
                              <input type="text" class="form-control only_currency" id="price" name="price" placeholder="Price of Item without Tax" value="<?php print $price; ?>">
                              <span id="price_msg" style="display:none" class="text-danger"></span>
                           </div>
                           <div class="form-group col-md-4 <?= tax_disable_class() ?>">
                              <label for="tax_id"><?= $this->lang->line('tax'); ?><span class="text-danger">*</span></label>
                              <div class="input-group">
                                 <select class="form-control select2" id="tax_id" name="tax_id" style="width: 100%;">
                                    <?php
                                    $query1 = "SELECT * FROM db_tax WHERE STATUS=1 ORDER BY undelete_bit DESC";
                                    $q1 = $this->db->query($query1);
                                    if ($q1->num_rows($q1) > 0) {
                                       //echo '<option data-tax="0" value="">-Select-</option>'; 
                                       foreach ($q1->result() as $res1) {
                                          $selected = ($tax_id == $res1->id) ? 'selected' : '';
                                          echo "<option $selected data-tax='" . $res1->tax . "' value='" . $res1->id . "'>" . $res1->tax_name . "(" . $res1->tax . "%)</option>";
                                       }
                                    } else {
                                    ?>
                                       <option value="">No Records Found</option>
                                    <?php
                                    }
                                    ?>
                                 </select>
                                 <span class="input-group-addon pointer" data-toggle="modal" data-target="#tax_modal" title="Add Tax"><i class="fa fa-plus-square-o text-primary fa-lg"></i></span>
                              </div>
                              <span id="tax_id_msg" style="display:none" class="text-danger"></span>
                           </div>
                           <div class="form-group col-md-4">
                              <label for="purchase_price"><?= $this->lang->line('purchase_price'); ?><span class="text-danger">*</span></label>
                              <input type="text" class="form-control only_currency" id="purchase_price" name="purchase_price" placeholder="Total Price with Tax Amount" value="<?php print $purchase_price; ?>" readonly=''>
                              <span id="purchase_price_msg" style="display:none" class="text-danger"></span>
                           </div>
                        </div>
                        <!-- /row -->
                        <div class="row">
                           <div class="form-group col-md-4 <?= tax_disable_class() ?>">
                              <label for="tax_type"><?= $this->lang->line('tax_type'); ?><span class="text-danger">*</span></label>
                              <select class="form-control select2" id="tax_type" name="tax_type" style="width: 100%;">
                                 <?php
                                 $inclusive_selected = $exclusive_selected = '';
                                 if ($tax_type == 'Inclusive') {
                                    $inclusive_selected = 'selected';
                                 }
                                 if ($tax_type == 'Exclusive') {
                                    $exclusive_selected = 'selected';
                                 }

                                 ?>
                                 <option <?= $exclusive_selected ?> value="Exclusive">Exclusive</option>
                                 <option <?= $inclusive_selected ?> value="Inclusive">Inclusive</option>
                              </select>
                              <span id="tax_type_msg" style="display:none" class="text-danger"></span>

                           </div>
                           <div class="form-group col-md-4">
                              <label for="profit_margin"><?= $this->lang->line('profit_margin'); ?>(%) <i class="hover-q " data-container="body" data-toggle="popover" data-placement="top" data-content="<?= $this->lang->line('based_on_purchase_price'); ?>" data-html="true" data-trigger="hover" data-original-title="">
                                    <i class="fa fa-info-circle text-maroon text-black hover-q"></i>
                                 </i></label>
                              <input type="text" class="form-control only_currency" id="profit_margin" name="profit_margin" placeholder="Profit in %" value="<?php print $profit_margin; ?>">
                              <span id="profit_margin_msg" style="display:none" class="text-danger"></span>
                           </div>
                           <div class="form-group col-md-4">
                              <label for="sales_price" class="control-label"><?= $this->lang->line('sales_price'); ?><span class="text-danger">*</span></label>
                              <input type="text" class="form-control only_currency " id="sales_price" name="sales_price" placeholder="Sales Price" value="<?php print $sales_price; ?>">
                              <span id="sales_price_msg" style="display:none" class="text-danger"></span>
                           </div>
                        </div>
                        <div class="row">
                           <div class="form-group col-md-4">
                              <label for="final_price" class="control-label"><?= $this->lang->line('final_price'); ?><span class="text-danger">*</span></label>
                              <input type="text" class="form-control only_currency " id="final_price" name="final_price" placeholder="Final Price" value="<?php print $final_price; ?>" readonly>
                              <span id="final_price_msg" style="display:none" class="text-danger"></span>
                           </div>
                        </div>
                        <!-- /row -->
                        <hr>
                        <div class="row">
                           <div class="form-group col-md-4">
                              <label for="discount_type"><?= $this->lang->line('discount_type'); ?></label>
                              <select class="form-control" id="discount_type" name="discount_type" style="width: 100%;">
                                 <option value='Percentage'>Percentage(%)</option>
                                 <option value='Fixed'>Fixed(<?= $CI->currency() ?>)</option>
                              </select>
                              <span id="discount_type_msg" style="display:none" class="text-danger"></span>
                           </div>
                           <div class="form-group col-md-4">
                              <label for="discount"><?= $this->lang->line('discount'); ?></label>
                              <input type="text" class="form-control only_currency" id="discount" name="discount" value="<?php print $discount; ?>">
                              <span id="discount_msg" style="display:none" class="text-danger"></span>
                           </div>

                        </div>
                        <hr>
                        <div class="row">
                           <div class="form-group col-md-4">
                              <label for="current_opening_stock"><?= $this->lang->line('current_opening_stock'); ?></label>
                              <input type="text" class="form-control only_currency" id="current_opening_stock" name="current_opening_stock" placeholder="" readonly="" value="<?php print $stock; ?>">
                              <span id="current_opening_stock_msg" style="display:none" class="text-danger"></span>
                           </div>
                           <div class="form-group col-md-4">
                              <label for="new_opening_stock"><?= $this->lang->line('adjust_stock'); ?> <i class="hover-q " data-container="body" data-toggle="popover" data-placement="top" data-content="<?= $this->lang->line('stock_adjustment_msg'); ?>" data-html="true" data-trigger="hover" data-original-title="">
                                    <i class="fa fa-info-circle text-maroon text-black hover-q"></i>
                                 </i></label>
                              <input type="text" class="form-control" id="new_opening_stock" name="new_opening_stock" placeholder="-/+" value="<?php print $new_opening_stock; ?>">
                              <span id="new_opening_stock_msg" style="display:none" class="text-danger"></span>
                           </div>
                           <div class="form-group col-md-4">
                              <label for="adjustment_note"><?= $this->lang->line('adjustment_note'); ?></label>
                              <textarea type="text" class="form-control" id="adjustment_note" name="adjustment_note" placeholder=""><?php print $adjustment_note; ?></textarea>
                              <span id="adjustment_note_msg" style="display:none" class="text-danger"></span>
                           </div>
                        </div>
                        <!-- /row -->
                        <!-- /.box-body -->
                        <div class="box-footer">
                           <div class="col-sm-8 col-sm-offset-2 text-center">
                              <!-- <div class="col-sm-4"></div> -->
                              <?php
                              if ($item_name != "") {
                                 $btn_name = "Update";
                                 $btn_id = "update";
                              ?>
                                 <input type="hidden" name="q_id" id="q_id" value="<?php echo $q_id; ?>" />
                              <?php
                              } else {
                                 $btn_name = "Save";
                                 $btn_id = "save";
                              }

                              ?>
                              <div class="col-md-3 col-md-offset-3">
                                 <button type="button" id="<?php echo $btn_id; ?>" class=" btn btn-block btn-success" title="Save Data"><?php echo $btn_name; ?></button>
                              </div>
                              <div class="col-sm-3">
                                 <a href="<?= base_url('dashboard'); ?>">
                                    <button type="button" class="col-sm-3 btn btn-block btn-warning close_btn" title="Go Dashboard">Close</button>
                                 </a>
                              </div>
                           </div>
                        </div>
                        <!-- /.box-footer -->
                     </div>
                     <?= form_close(); ?>
                     <!-- /.box -->
                  </div>
                  <!--/.col (right) -->
               </div>
               <div class="col-md-12">

                  <div class="box">
                     <div class="box-header">
                        <h3 class="box-title text-blue"><?= $this->lang->line('opening_stock_adjustment_records'); ?></h3>
                     </div>
                     <!-- /.box-header -->
                     <div class="box-body table-responsive no-padding">

                        <table class="table table-bordered table-hover " id="report-data">
                           <thead>
                              <tr class="bg-gray">
                                 <th style="">#</th>
                                 <th style=""><?= $this->lang->line('entry_date'); ?></th>
                                 <th style=""><?= $this->lang->line('stock'); ?></th>
                                 <th style=""><?= $this->lang->line('note'); ?></th>
                                 <th style=""><?= $this->lang->line('action'); ?></th>
                              </tr>
                           </thead>
                           <tbody>
                              <?php
                              if (isset($q_id)) {
                                 $q3 = $this->db->query("select * from db_stockentry where item_id=$q_id");
                                 if ($q3->num_rows() > 0) {
                                    $i = 1;
                                    $total_paid = 0;
                                    foreach ($q3->result() as $res3) {
                                       echo "<td>" . $i . "</td>";
                                       echo "<td>" . show_date($res3->entry_date) . "</td>";
                                       echo "<td>" . $res3->qty . "</td>";
                                       echo "<td>" . $res3->note . "</td>";
                                       echo '<td><i class="fa fa-trash text-red pointer" onclick="delete_stock_entry(' . $res3->id . ')"> Delete</i></td>';
                                       echo "</tr>";
                                       $i++;
                                    }
                                 } else {
                                    echo "<tr><td colspan='5' class='text-center text-bold'>No Previous Stock Entry Found!!</td></tr>";
                                 }
                              } else {
                                 echo "<tr><td colspan='5' class='text-center text-bold'>No Previous Stock Entry Found!!</td></tr>";
                              }
                              ?>
                           </tbody>
                        </table>


                     </div>
                     <!-- /.box-body -->
                  </div>
                  <!-- /.box -->
               </div>
               <!-- /.row -->
         </section>
         <!-- /.content -->
      </div>
      <!-- /.content-wrapper -->
      <?php include "footer.php"; ?>
      <!-- Add the sidebar's background. This div must be placed
            immediately after the control sidebar -->
      <div class="control-sidebar-bg"></div>
   </div>
   <!-- ./wrapper -->
   <!-- SOUND CODE -->
   <?php include "comman/code_js_sound.php"; ?>
   <!-- TABLES CODE -->
   <?php include "comman/code_js_form.php"; ?>
   <!-- <script src="<?php echo $theme_link; ?>js/items.js"></script> -->
   <script src="<?php echo $theme_link; ?>js/modals.js"></script>
   <script>
      $("#discount_type").val('<?= $discount_type; ?>');
   </script>
   <!-- Make sidebar menu hughlighter/selector -->
   <script>
      $(".<?php echo basename(__FILE__, '.php'); ?>-active-li").addClass("active");
   </script>
   <script>
      $("#save,#update").on("click", function (e) {
  var base_url = $("#base_url").val().trim();
  //Initially flag set true
  var flag = true;

  function check_field(id) {
    if (
      !$("#" + id)
        .val()
        .trim()
    ) {
      //Also check Others????
      $("#" + id + "_msg")
        .fadeIn(200)
        .show()
        .html("Required Field")
        .addClass("required");
      //$('#'+id).css({'background-color' : '#E8E2E9'});
      flag = false;
    } else {
      $("#" + id + "_msg")
        .fadeOut(200)
        .hide();
      //$('#'+id).css({'background-color' : '#FFFFFF'});    //White color
    }
  }

  //Validate Input box or selection box should not be blank or empty
  check_field("item_name");
//   check_field("category_id");
  check_field("unit_id"); //units of measurments
  check_field("price");
  check_field("alert_qty");
  check_field("tax_id");
  check_field("purchase_price");
  check_field("tax_type");
  check_field("profit_margin");
  check_field("sales_price");

  if (flag == false) {
    toastr["warning"]("You have Missed Something to Fillup!");
    return;
  }

  var this_id = this.id;

  if (this_id == "save") {
    //Save start
   //  if (confirm("Do You Wants to Save Record ?")) {
      e.preventDefault();
      data = new FormData($("#items-form")[0]); //form name
      /*Check XSS Code*/
      if (!xss_validation(data)) {
        return false;
      }

      $(".box").append(
        '<div class="overlay"><i class="fa fa-refresh fa-spin"></i></div>'
      );
      $("#" + this_id).attr("disabled", true); //Enable Save or Update button
      $.ajax({
        type: "POST",
        url: "newitems",
        data: data,
        cache: false,
        contentType: false,
        processData: false,
        success: function (result) {
          //alert(result);return;
          if (result == "success") {
            //alert("Record Saved Successfully!");
            window.location = base_url + "items"; //"items-view.php";
            return;
          } else if (result == "failed") {
            toastr["error"]("Sorry! Failed to save Record.Try again!");
            //	return;
          } else {
            toastr["error"](result);
          }
          $("#" + this_id).attr("disabled", false); //Enable Save or Update button
          $(".overlay").remove();
        },
      });
   //  }
    return;
    //e.preventDefault
  } //Save end
  else if (this_id == "update") {
    //Save start
   //  if (confirm("Do You Wants to Update Record ?")) {
      e.preventDefault();
      data = new FormData($("#items-form")[0]); //form name3
      /*Check XSS Code*/
      if (!xss_validation(data)) {
        return false;
      }

      $(".box").append(
        '<div class="overlay"><i class="fa fa-refresh fa-spin"></i></div>'
      );
      $("#" + this_id).attr("disabled", true); //Enable Save or Update button
      $.ajax({
        type: "POST",
        url: base_url + "items/update_items",
        data: data,
        cache: false,
        contentType: false,
        processData: false,
        success: function (result) {
          //alert(result);return;
          if (result == "success") {
            window.location = base_url + "items";
          } else if (result == "failed") {
            toastr["error"]("Sorry! Failed to save Record.Try again!");
          } else {
            toastr["error"](result);
          }
          $("#" + this_id).attr("disabled", false); //Enable Save or Update button
          $(".overlay").remove();
          return;
        },
      });
   //  }

    //e.preventDefault
  } //Save end
});

//On Enter Move the cursor to desigtation Id
function shift_cursor(kevent, target) {
  if (kevent.keyCode == 13) {
    $("#" + target).focus();
  }
}

//update status start
function update_status(id, status) {
  $.post("items/update_status", { id: id, status: status }, function (result) {
    if (result == "success") {
      toastr["success"]("Status Updated Successfully!");
      //alert("Status Updated Successfully!");
      success.currentTime = 0;
      success.play();
      if (status == 0) {
        status = "Inactive";
        var span_class = "label label-danger";
        $("#span_" + id).attr("onclick", "update_status(" + id + ",1)");
      } else {
        status = "Active";
        var span_class = "label label-success";
        $("#span_" + id).attr("onclick", "update_status(" + id + ",0)");
      }

      $("#span_" + id).attr("class", span_class);
      $("#span_" + id).html(status);
      return false;
    } else if (result == "failed") {
      toastr["error"]("Failed to Update Status.Try again!");
      failed.currentTime = 0;
      failed.play();

      return false;
    } else {
      toastr["error"](result);
      failed.currentTime = 0;
      failed.play();
      return false;
    }
  });
}
//update status end

//Delete Record start
function delete_items(q_id) {
//   if (confirm("Do You Wants to Delete Record ?")) {
    $(".box").append(
      '<div class="overlay"><i class="fa fa-refresh fa-spin"></i></div>'
    );
    $.post(
      $("#base_url").val() + "items/delete_items",
      { q_id: q_id },
      function (result) {
        //alert(result);return;
        if (result == "success") {
          toastr["success"]("Record Deleted Successfully!");
          $("#example2").DataTable().ajax.reload();
        } else if (result == "failed") {
          toastr["error"]("Failed to Delete .Try again!");
        } else {
          toastr["error"](result);
        }
        $(".overlay").remove();
        return false;
      }
    );
  } //end confirmation
// }
//Delete Record end
function multi_delete() {
  //var base_url=$("#base_url").val().trim();
  var this_id = this.id;

//   if (confirm("Are you sure ?")) {
    $(".box").append(
      '<div class="overlay"><i class="fa fa-refresh fa-spin"></i></div>'
    );
    $("#" + this_id).attr("disabled", true); //Enable Save or Update button

    data = new FormData($("#table_form")[0]); //form name
    $.ajax({
      type: "POST",
      url: $("#base_url").val() + "items/multi_delete",
      data: data,
      cache: false,
      contentType: false,
      processData: false,
      success: function (result) {
        result = result.trim();
        //alert(result);return;
        if (result == "success") {
          toastr["success"]("Record Deleted Successfully!");
          success.currentTime = 0;
          success.play();
          $("#example2").DataTable().ajax.reload();
          $(".delete_btn").hide();
          $(".group_check").prop("checked", false).iCheck("update");
        } else if (result == "failed") {
          toastr["error"]("Sorry! Failed to save Record.Try again!");
          failed.currentTime = 0;
          failed.play();
        } else {
          toastr["error"](result);
          failed.currentTime = 0;
          failed.play();
        }
        $("#" + this_id).attr("disabled", false); //Enable Save or Update button
        $(".overlay").remove();
      },
    });
//   }
  //e.preventDefault
}

//CALCULATED PURCHASE PRICE
function calculate_purchase_price() {
  var price = isNaN(parseFloat($("#price").val().trim())) ? 0 : parseFloat($("#price").val().trim());
  var tax = isNaN(parseFloat($("option:selected", "#tax_id").attr("data-tax"))) ? 0 : parseFloat($("option:selected", "#tax_id").attr("data-tax"));
  tax = parseFloat(tax);
  
  var tax_type = $("#tax_type").val();
  var purchase_price = parseFloat(0);
  price = parseFloat(price); 
  console.log("tax=" + tax);
  if (tax_type == "Inclusive") {
    purchase_price = price;
  } else {
    purchase_price = price + (price * tax) / parseFloat(100);
  }
  //$("#purchase_price").val( (price + (price*tax)/parseFloat(100)).toFixed(decimals));

  $("#purchase_price").val(purchase_price.toFixed(2));
  //calculate_sales_price();

  //$("#purchase_price").val( (price + (price*tax)/parseFloat(100)).toFixed(2));
  //calculate_sales_price();
}
$("#price").keyup(function (event) {
  calculate_purchase_price();
});
$("#tax_id").on("change", function (event) {
  calculate_purchase_price();
});

//CALCUALATED SALES PRICE
function calculate_sales_price() {
  var purchase_price = isNaN(parseFloat($("#purchase_price").val().trim()))
    ? 0
    : parseFloat($("#purchase_price").val().trim());
  var profit_margin = isNaN(parseFloat($("#profit_margin").val().trim()))
    ? 0
    : parseFloat($("#profit_margin").val().trim());
  var tax_type = $("#tax_type").val();

  var sales_price = parseFloat(0);
  if (purchase_price > 0) {
    if (tax_type == "Inclusive") {
      sales_price =
        purchase_price + (purchase_price * profit_margin) / parseFloat(100);
    } else {
      //var price = (isNaN(parseFloat($("#price").val().trim()))) ? 0 :parseFloat($("#price").val().trim());
      sales_price =
        purchase_price + (purchase_price * profit_margin) / parseFloat(100);
    }
  } else {
    sales_price = profit_margin;
  }

  $("#sales_price").val(sales_price.toFixed(2));
  //calculate_profit_margin();
  calculate_final_price();
}
$("#tax_type").on("change", function (event) {
  calculate_purchase_price();
  calculate_final_price();
});
$("#profit_margin").keyup(function (event) {
  calculate_sales_price();
});
//END
function calculate_final_price() {
  var tax_type = $("#tax_type").val();
  var sales_price = $("#sales_price").val();
  sales_price = parseFloat(sales_price);
  var tax = isNaN(parseFloat($("option:selected", "#tax_id").attr("data-tax")))
    ? 0
    : parseFloat($("option:selected", "#tax_id").attr("data-tax"));
  tax = parseFloat(tax);
  //console.log("tax_type="+tax_type);
  var tot = tax_type == "Inclusive" ? 0 : calculate_exclusive(sales_price, tax);
  $("#final_price").val(parseFloat(sales_price) + parseFloat(tot));
}
//CALCULATE PROFIT MARGIN PERCENTAGE
function calculate_profit_margin() {
  var purchase_price = isNaN(parseFloat($("#purchase_price").val().trim()))
    ? 0
    : parseFloat($("#purchase_price").val().trim());
  var sales_price = isNaN(parseFloat($("#sales_price").val().trim()))
    ? 0
    : parseFloat($("#sales_price").val().trim());
  var profit_margin = sales_price - purchase_price;
  var profit_margin =
    purchase_price > 0
      ? (profit_margin / purchase_price) * parseFloat(100)
      : profit_margin;
  $("#profit_margin").val(profit_margin.toFixed(0));
}
$("#sales_price").keyup(function (event) {
  calculate_profit_margin();
  calculate_final_price();
});
//END

function delete_stock_entry(entry_id) {
//   if (confirm("Do You Wants to Delete Record ?")) {
    var base_url = $("#base_url").val().trim();
    $(".box").append(
      '<div class="overlay"><i class="fa fa-refresh fa-spin"></i></div>'
    );
    $.post(
      base_url + "items/delete_stock_entry",
      { entry_id: entry_id, item_id: $("#q_id").val() },
      function (result) {
        //alert(result);//return;
        result = result.trim();
        if (result == "success") {
          location.reload(true);
        } else if (result == "failed") {
          toastr["error"]("Failed to Delete .Try again!");
          failed.currentTime = 0;
          failed.play();
        } else {
          toastr["error"](result);
          failed.currentTime = 0;
          failed.play();
        }
        $(".overlay").remove();
      }
    );
  } //end confirmation
// }

   </script>
</body>

</html>